/// <reference types="node" />
import { EventEmitter } from 'events';
interface IHost {
    host: string;
    port: number | string;
}
interface IOptions {
    port?: number | string;
    host?: string;
    checkFiles?: boolean;
    rootFiles?: string | null;
    database?: string;
    hosts?: IHost[];
    replicaSet?: string;
    ignore?: string[];
}
export default class GridFsProxy extends EventEmitter {
    opts: IOptions;
    private _store;
    private _server;
    constructor(opts?: IOptions);
    init(): Promise<void>;
}
export {};
